UbixOS V2 2.0

Functions
vmm_allocpagetable.c File Reference
`#include <vmm/vmm.h>`
`#include <vmm/paging.h>`
`#include <ubixos/spinlock.h>`
`#include <string.h>`
Include dependency graph for vmm_allocpagetable.c:

Go to the source code of this file.

## Functions
int | vmm_allocPageTable (uint32_t pdI, pidType pid)

## Function Documentation

## ◆ vmm_allocPageTable()

int vmm_allocPageTable | ( | uint32_t | pdI,
|  | pidType | pid
| ) |  |

Definition at line 7 of file vmm_allocpagetable.c.

References bzero, KERNEL_PAGE_DEFAULT, kpanic(), PAGE_DEFAULT, PAGE_PRESENT, PAGE_SIZE, PD_BASE_ADDR, PD_ENTRIES, PD_INDEX, PT_BASE_ADDR, vmm_findFreePage(), VMM_USER_END, and VMM_USER_START.

Referenced by vmm_getFreeKernelPage().

Here is the call graph for this function: